Download it now!
Bug 105346 - Swash glyph clipped (EB Garamond)
Summary: Swash glyph clipped (EB Garamond)
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
5.3.0.1 rc
Hardware: All Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Font-Rendering
  Show dependency treegraph
 
Reported: 2017-01-15 15:48 UTC by Volga
Modified: 2020-12-23 03:44 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
My screenshot. (24.62 KB, image/png)
2017-01-15 15:49 UTC, Volga
Details
simple test document, select a paragraph and scroll up offscreen and then down (8.80 KB, application/vnd.oasis.opendocument.text)
2017-01-15 17:01 UTC, V Stuart Foote
Details
example Graphite liga feature glyphs (8.62 KB, application/vnd.oasis.opendocument.text)
2017-01-15 17:26 UTC, V Stuart Foote
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Volga 2017-01-15 15:48:02 UTC
Description:
When I use EB Garamond in LibreOffice Writer, I found the bottom edge of swash glyph clipped within document. This problem also appearing in Calc and Impress.

Steps to Reproduce:
1. Input trigraph “Qui”
2. Set Italic
3. Input this syntex: EB Garamond 12:swsh=1

Actual Results:  
In this case the bottom edge of sightly clipped.

Expected Results:
LibreOffice should not let such glyph clipped


Reproducible: Always

User Profile Reset: No

Additional Info:


User-Agent: Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:50.0) Gecko/20100101 Firefox/50.0
Comment 1 Volga 2017-01-15 15:49:56 UTC
Created attachment 130452 [details]
My screenshot.

Version: 5.3.0.1 (x64)
Build ID: 3b800451b1d0c48045de03b5b3c7bbbac87f20d9
CPU Threads: 4; OS Version: Windows 6.19; UI Render: default; 布局引擎:新; 
Locale: zh-CN (zh_CN); Calc: group
Comment 2 V Stuart Foote 2017-01-15 16:59:50 UTC
On Windows 10 Pro 64-bit en-US with
Version: 5.4.0.0.alpha0+
Build ID: 9e7526044c8fa6b006b0cb791d15f2476c96ebf2
CPU Threads: 8; OS Version: Windows 6.19; UI Render: GL; 
TinderBox: Win-x86@42, Branch:master, Time: 2017-01-14_04:20:03
Locale: en-US (en_US); Calc: CL

I see the effect but it is transient. Persists when srcolling up or down, but zoom document canvas in or out and the ascenders/descenders are fully rendered with no clipping at the paragraph bounds.

Steps to reproduce
1. new Writer document
2. enter some text, e.g. "Qui, Qwake, and Quail Ƞɲ"
3. change font for paragraph to "EB Garamond 12"
4. zoom in so vertical scroll bar activates
5. select text and add the ":swsh=1" OT switch to the font list entry
6. scroll the document canvas off screen and back on

Result?  Selected text is clipped to paragraph bounding box. 

Expected? That glyphs with ascenders or descenders extending beyond layout bounds would not be clipped as displayed on the canvas.

7. zoom - or +, note the glyphs are refreshed with full descenders beyond bounds.

But since it is a transitory glitch only with rendering to the document canvas on screen I don't see this as much of an issue.
Comment 3 V Stuart Foote 2017-01-15 17:01:31 UTC
Created attachment 130453 [details]
simple test document, select a paragraph and scroll up offscreen and then down
Comment 4 V Stuart Foote 2017-01-15 17:26:34 UTC
Created attachment 130455 [details]
example Graphite liga feature glyphs

here are the Graphite liga samples from bug 104846 in a simple paragraph, note they will be clipped on canvas in the same transient way.
Comment 5 Volga 2017-04-01 02:49:12 UTC
On LO 5.3.2.1 I Tested all of them, they looks still clipped at the first time, but after I resize the window, they rendered as expected.

Version: 5.3.2.1 (x64)
Build ID: 7f6693c08cc110b9721245fc4bd4f1712e0c086c
CPU Threads: 4; OS Version: Windows 6.19; UI Render: default; Layout Engine: new; 
Locale: zh-CN (zh_CN); Calc: CL
Comment 6 Volga 2017-04-03 12:30:49 UTC
LO 5.3.2.2 performanced the same as comment 5

Version: 5.3.2.2 (x64)
Build ID: 6cd4f1ef626f15116896b1d8e1398b56da0d0ee1
CPU Threads: 4; OS Version: Windows 6.19; UI Render: default; Layout Engine: new; 
Locale: zh-CN (zh_CN); Calc: group
Comment 7 QA Administrators 2020-12-23 03:44:59 UTC
Dear Volga,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug